import 'package:ytx_emotion/data/network_emotion.dart';
import 'package:ytx_emotion/data/res_emotion.dart';

class EmotionTab {
  List<ResEmotion> defaultTabs = [
    ResEmotion("微笑", "[微笑]", "assets/images/wei1xiao4_1.png"),
    ResEmotion("撇嘴", "[撇嘴]", "assets/images/pie1zui3_2.png"),
    ResEmotion("色", "[色]", "assets/images/se4_3.png"),
    ResEmotion("发呆", "[发呆]", "assets/images/fa1dai1_4.png"),
    ResEmotion("得意", "[得意]", "assets/images/de2yi4_5.png"),
    ResEmotion("流泪", "[流泪]", "assets/images/liu2lei4_6.png"),
    ResEmotion("害羞", "[害羞]", "assets/images/hai4xiu1_7.png"),
    ResEmotion("闭嘴", "[闭嘴]", "assets/images/bi4zui3_8.png"),
    ResEmotion("睡", "[睡]", "assets/images/shui4_9.png"),
    ResEmotion("大哭", "[大哭]", "assets/images/da4ku1_10.png"),
    ResEmotion("尴尬", "[尴尬]", "assets/images/gan1ga4_11.png"),
    ResEmotion("发怒", "[发怒]", "assets/images/fa1nu4_12.png"),
    ResEmotion("调皮", "[调皮]", "assets/images/diao4pi2_13.png"),
    ResEmotion("呲牙", "[呲牙]", "assets/images/zi1ya2_14.png"),
    ResEmotion("惊讶", "[惊讶]", "assets/images/jing1ya4_15.png"),
    ResEmotion("难过", "[难过]", "assets/images/nan2guo4_16.png"),
    ResEmotion("囧", "[囧]", "assets/images/jiong3_17.png"),
    ResEmotion("抓狂", "[抓狂]", "assets/images/zhua1kuang2_18.png"),
    ResEmotion("吐", "[吐]", "assets/images/tu3_19.png"),
    ResEmotion("偷笑", "[偷笑]", "assets/images/tou1xiao4_20.png"),
    ResEmotion("愉快", "[愉快]", "assets/images/yu2kuai4_21.png"),
    ResEmotion("白眼", "[白眼]", "assets/images/bai2yan3_22.png"),
    ResEmotion("傲慢", "[傲慢]", "assets/images/ao4man4_23.png"),
    ResEmotion("困", "[困]", "assets/images/kun4_24.png"),
    ResEmotion("惊恐", "[惊恐]", "assets/images/jing1kong3_25.png"),
    ResEmotion("憨笑", "[憨笑]", "assets/images/han1xiao4_26.png"),
    ResEmotion("悠闲", "[悠闲]", "assets/images/you1xian2_27.png"),
    ResEmotion("咒骂", "[咒骂]", "assets/images/zhou4ma4_28.png"),
    ResEmotion("疑问", "[疑问]", "assets/images/yi2wen4_29.png"),
    ResEmotion("嘘", "[嘘]", "assets/images/xu1_30.png"),
    ResEmotion("晕", "[晕]", "assets/images/yun1_31.png"),
    ResEmotion("衰", "[衰]", "assets/images/shuai1_32.png"),
    ResEmotion("骷髅", "[骷髅]", "assets/images/ku1lou2_33.png"),
    ResEmotion("敲打", "[敲打]", "assets/images/qiao1da3_34.png"),
    ResEmotion("再见", "[再见]", "assets/images/zai4jian4_35.png"),
    ResEmotion("擦汗", "[擦汗]", "assets/images/ca1han4_36.png"),
    ResEmotion("挖鼻", "[挖鼻]", "assets/images/wa1bi2_37.png"),
    ResEmotion("鼓掌", "[鼓掌]", "assets/images/gu3zhang3_38.png"),
    ResEmotion("坏笑", "[坏笑]", "assets/images/huai4xiao4_39.png"),
    ResEmotion("哼", "[哼]", "assets/images/heng1_40.png"),
    ResEmotion("鄙视", "[鄙视]", "assets/images/bi3shi4_41.png"),
    ResEmotion("委屈", "[委屈]", "assets/images/wei3qu1_42.png"),
    ResEmotion("快哭了", "[快哭了]", "assets/images/kuai4ku1le5_43.png"),
    ResEmotion("阴险", "[阴险]", "assets/images/yin1xian3_44.png"),
    ResEmotion("亲亲", "[亲亲]", "assets/images/qin1qin1_45.png"),
    ResEmotion("可怜", "[可怜]", "assets/images/ke3lian2_46.png"),
    ResEmotion("笑脸", "[笑脸]", "assets/images/xiao4lian3_47.png"),
    ResEmotion("生病", "[生病]", "assets/images/sheng1bing4_48.png"),
    ResEmotion("脸红", "[脸红]", "assets/images/lian3hong2_49.png"),
    ResEmotion("笑哭", "[笑哭]", "assets/images/xiao4ku1_50.png"),
    ResEmotion("恐惧", "[恐惧]", "assets/images/kong3ju4_51.png"),
    ResEmotion("失望", "[失望]", "assets/images/shi1wang4_52.png"),
    ResEmotion("无语", "[无语]", "assets/images/wu2yu3_53.png"),
    ResEmotion("嘿哈", "[嘿哈]", "assets/images/hei1ha1_54.png"),
    ResEmotion("捂脸", "[捂脸]", "assets/images/wu3lian3_55.png"),
    ResEmotion("奸笑", "[奸笑]", "assets/images/huai4xiao4_56.png"),
    ResEmotion("机智", "[机智]", "assets/images/ji1zhi4_57.png"),
    ResEmotion("皱眉", "[皱眉]", "assets/images/zhou4mei2_58.png"),
    ResEmotion("耶", "[耶]", "assets/images/ye2_59.png"),
    ResEmotion("吃瓜", "[吃瓜]", "assets/images/chi1gua1_60.png"),
    ResEmotion("加油", "[加油]", "assets/images/jia1you2_61.png"),
    ResEmotion("汗", "[汗]", "assets/images/han4_62.png"),
    ResEmotion("天啊", "[天啊]", "assets/images/tian1a5_63.png"),
    ResEmotion("Emm", "[Emm]", "assets/images/emm_64.png"),
    ResEmotion("社会", "[社会]", "assets/images/she4hui4_65.png"),
    ResEmotion("旺财", "[旺财]", "assets/images/wang4cai2_66.png"),
    ResEmotion("好的", "[好的]", "assets/images/hao3de5_67.png"),
    ResEmotion("打脸", "[打脸]", "assets/images/da3lian3_68.png"),
    ResEmotion("哇", "[哇]", "assets/images/wa1_69.png"),
    ResEmotion("翻白眼", "[翻白眼]", "assets/images/fan1bai2yan3_70.png"),
    ResEmotion("666", "[666]", "assets/images/nice_71.png"),
    ResEmotion("让我看看", "[让我看看]", "assets/images/rang4wo3kan4kan4_72.png"),
    ResEmotion("叹气", "[叹气]", "assets/images/tan4qi4_73.png"),
    ResEmotion("苦涩", "[苦涩]", "assets/images/ku3se4_74.png"),
    ResEmotion("裂开", "[裂开]", "assets/images/lie4kai1_75.png"),
    ResEmotion("嘴唇", "[嘴唇]", "assets/images/zui3chun2_76.png"),
    ResEmotion("爱心", "[爱心]", "assets/images/ai4xin1_77.png"),
    ResEmotion("心碎", "[心碎]", "assets/images/xin1sui4_78.png"),
    ResEmotion("拥抱", "[拥抱]", "assets/images/yong3bao4_79.png"),
    ResEmotion("强", "[强]", "assets/images/qiang2_80.png"),
    ResEmotion("弱", "[弱]", "assets/images/ruo4_81.png"),
    ResEmotion("握手", "[握手]", "assets/images/wo4shou3_82.png"),
    ResEmotion("胜利", "[胜利]", "assets/images/sheng4li4_83.png"),
    ResEmotion("抱拳", "[抱拳]", "assets/images/bao4quan2_84.png"),
    ResEmotion("勾引", "[勾引]", "assets/images/gou1yin3_85.png"),
    ResEmotion("拳头", "[拳头]", "assets/images/quan2tou2_86.png"),
    ResEmotion("OK", "[OK]", "assets/images/ok_87.png"),
    ResEmotion("合十", "[合十]", "assets/images/he2shi2_88.png"),
    ResEmotion("强壮", "[强壮]", "assets/images/qiang2zhuang4_89.png"),
    ResEmotion("比心", "[比心]", "assets/images/bi3xin1_90.png"),
    ResEmotion("咖啡", "[咖啡]", "assets/images/ka1fei1_91.png"),
    ResEmotion("啤酒", "[啤酒]", "assets/images/pi2jiu3_92.png"),
    ResEmotion("玫瑰", "[玫瑰]", "assets/images/mei2gui1_93.png"),
    ResEmotion("凋谢", "[凋谢]", "assets/images/diao1xie4_94.png"),
    ResEmotion("菜刀", "[菜刀]", "assets/images/cai4dao1_95.png"),
    ResEmotion("炸弹", "[炸弹]", "assets/images/zha4dan4_96.png"),
    ResEmotion("便便", "[便便]", "assets/images/bian4bian4_97.png"),
    ResEmotion("月亮", "[月亮]", "assets/images/yue4liang4_98.png"),
    ResEmotion("太阳", "[太阳]", "assets/images/tai4yang2_99.png"),
    ResEmotion("庆祝", "[庆祝]", "assets/images/qing4zhu4_100.png"),
    ResEmotion("礼物", "[礼物]", "assets/images/li3wu4_101.png"),
    ResEmotion("红包", "[红包]", "assets/images/hong2bao1_102.png"),
    ResEmotion("蜡烛", "[蜡烛]", "assets/images/la4zhu2_103.png"),
    ResEmotion("双喜", "[双喜]", "assets/images/shuang1xi3_104.png"),
    ResEmotion("赞", "[赞]", "assets/images/zan4_105.png"),
    ResEmotion("猪头", "[猪头]", "assets/images/zhu1tou2_106.png"),
    ResEmotion("蛋糕", "[蛋糕]", "assets/images/dan4gao1_107.png"),
    ResEmotion("美元", "[美元]", "assets/images/mei3yuan2_108.png"),
    ResEmotion("韭菜", "[韭菜]", "assets/images/jiu3cai4_109.png")
  ];

  List<NetworkEmotion> gupaiTabs = [
    NetworkEmotion(
        "赚钱啦", "[赚钱啦]", "https://oss.secon.cn/emotion/zhuan4qian2la5_77.gif"),
    NetworkEmotion("跑赢大盘", "[跑赢大盘]",
        "https://oss.secon.cn/emotion/pao3ying2da4pan2_33.gif"),
    NetworkEmotion(
        "反弹", "[反弹]", "https://oss.secon.cn/emotion/fan3dan4_62.gif"),
    NetworkEmotion("求支牛股", "[求支牛股]",
        "https://oss.secon.cn/emotion/qiu2zhi1niu2gu3_36.gif"),
    NetworkEmotion(
        "盯盘", "[盯盘]", "https://oss.secon.cn/emotion/ding1pan2_65.gif"),
    NetworkEmotion(
        "套牢", "[套牢]", "https://oss.secon.cn/emotion/tao4lao2_47.gif"),
    NetworkEmotion(
        "亏惨了", "[亏惨了]", "https://oss.secon.cn/emotion/kui1can3le5_66.gif"),
    NetworkEmotion("忍痛割肉", "[忍痛割肉]",
        "https://oss.secon.cn/emotion/ren3tong4ge1rou4_74.gif"),
    NetworkEmotion(
        "上涨", "[上涨]", "https://oss.secon.cn/emotion/shang4zhang3_100.gif"),
    NetworkEmotion("买跌抛涨", "[买跌抛涨]",
        "https://oss.secon.cn/emotion/mai3die1pao1zhang3_36.gif"),
    NetworkEmotion(
        "会涨吗", "[会涨吗]", "https://oss.secon.cn/emotion/hui4zhang3ma5_13.gif"),
    NetworkEmotion("跑了", "[跑了]", "https://oss.secon.cn/emotion/pao3le5_15.gif"),
    NetworkEmotion("关灯吃面", "[关灯吃面]",
        "https://oss.secon.cn/emotion/guan1deng1chi1mian4_10.gif"),
    NetworkEmotion("明日必涨", "[明日必涨]",
        "https://oss.secon.cn/emotion/ming2ri4bi4zhang3_90.gif"),
    NetworkEmotion("股神保佑", "[股神保佑]",
        "https://oss.secon.cn/emotion/gu3shen2bao3you4_28.gif"),
    NetworkEmotion("整个绿了", "[整个绿了]",
        "https://oss.secon.cn/emotion/zheng3ge4lv4le5_43.gif"),
  ];

  List<NetworkEmotion> newYearTabs = [
    NetworkEmotion("红包别停", "[红包别停]",
        "https://oss.secon.cn/emotion/hong2bao1bie2ting2_82.gif"),
    NetworkEmotion("发财", "[发财]", "https://oss.secon.cn/emotion/fa1cai2_50.gif"),
    NetworkEmotion("暴富", "[暴富]", "https://oss.secon.cn/emotion/bao4fu4_27.gif"),
    NetworkEmotion(
        "发红包", "[发红包]", "https://oss.secon.cn/emotion/fa1hong2bao1_65.gif"),
    NetworkEmotion("新年快乐", "[新年快乐]",
        "https://oss.secon.cn/emotion/xin1nian2kuai4le4_48.gif"),
    NetworkEmotion("春节快乐", "[春节快乐]",
        "https://oss.secon.cn/emotion/chun1jie2kuai4le4_2.gif"),
    NetworkEmotion("牛年大吉", "[牛年大吉]",
        "https://oss.secon.cn/emotion/niu2nian2da4ji2_75.gif"),
    NetworkEmotion("恭喜发财", "[恭喜发财]",
        "https://oss.secon.cn/emotion/gong1xi3fa1cai2_25.gif"),
    NetworkEmotion(
        "拜年", "[拜年]", "https://oss.secon.cn/emotion/bai4nian2_79.gif"),
    NetworkEmotion("元宵快乐", "[元宵快乐]",
        "https://oss.secon.cn/emotion/yuan2xiao1kuai4le4_62.gif"),
    NetworkEmotion("谢谢老板", "[谢谢老板]",
        "https://oss.secon.cn/emotion/xie4xie4lao3ban3_91.gif"),
    NetworkEmotion(
        "大吉大利", "[大吉大利]", "https://oss.secon.cn/emotion/da4ji2da4li4_93.gif"),
    NetworkEmotion(
        "谢谢", "[谢谢]", "https://oss.secon.cn/emotion/xie4xie4_56.gif"),
    NetworkEmotion(
        "发发发", "[发发发]", "https://oss.secon.cn/emotion/fa1fa1fa1_14.gif"),
    NetworkEmotion("涨涨涨", "[涨涨涨]",
        "https://oss.secon.cn/emotion/zhang3zhang3zhang3_55.gif"),
    NetworkEmotion(
        "旺旺旺", "[旺旺旺]", "https://oss.secon.cn/emotion/wang4wang4wang4_63.gif")
  ];
}
