import 'package:flutter_test/flutter_test.dart';
import 'package:ytx_emotion/helper/emotion_helper.dart';

void main() {
  test('adds one to input values', () {
    var em1 = EmotionHelper.getEmotionByName("[调皮]");
    var em2 = EmotionHelper.getEmotionByName("[会涨吗]");
    var em3 = EmotionHelper.getEmotionByName("[牛年大吉]");
    var em4 = EmotionHelper.getEmotionByName("[]");
    var em5 = EmotionHelper.getGiftEmotionUrlByUrl(
        "picture://com.spero.vision/涨涨涨.gif");

    print("[调皮] = $em1");
    print("[会涨吗] = $em2");
    print("[牛年大吉] = $em3");
    print("[] = $em4");
    print("[涨涨涨] = $em5");
  });
}
